# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(MooseX/POE.pm) perl(POE/Wheel/Run.pm) perl(Test/More.pm) perl(namespace/clean.pm) perl(ok.pm) perl(MooseX/Getopt.pm) perl(MooseX/LogDispatch.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name App-PersistentSSH
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Kick an ssh control master around on OSX using
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NU/NUFFIN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This POE component will keep an SSH control master alive, depending on network status..
It uses the OSX command line tool scutil to get notification on changes to
the `State:/Network/Global/IPv4' configuration key. Whenever this key is changed
`scutil -r' will be used to check if the specified host is directly reachable
(without creating a connection using e.g. PPP), and if so spawn ssh.

If the host is not reachable, ssh is stopped.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%perl_vendor_privlib/A*

%files scripts
%_bindir/*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

